SMSTRADE_SEND(1)

NAME
smstrade_send - smstrade_balance

DESCRIPTION
usage: smstrade_send [-h] [-c CONFIG] [-s SECTION] [-k KEY] [-f SENDER]

    [-r {basic,gold,direct}] [-d] [--cost] [-m] [--count] [--dlr] [--response] [--ref REFERENCE] [-l] [--charset {UTF-8,ISO-8859-1,ISO-8859-15}] [--senddate SENDDATE] [--messagetype {flash,unicode,binary,voice}] [--udh UDH] [--version] to [to ...] smstext

Send one or more SMS via the smstrade.eu API

  positional arguments:

to  receiver of the SMS

smstext
    the text content of the SMS message to send

  optional arguments:

-h, --help
    show this help message and exit

-c CONFIG, --config CONFIG
    alternative configuration instead of the default configurationfiles: /etc/xdg/smstrade/smstrade.ini, ~/.config/smstrade/smstrade.ini, smstrade.ini

-s SECTION, --section SECTION
    use the specified section in the configuration file

-k KEY, --key KEY
    personal identification code

-f SENDER, --from SENDER
    source identifier (ignored for route basic)

-r {basic,gold,direct}, --route {basic,gold,direct}
    SMS route

-d, --debug
    activate debug mode

--cost
    enable output of sending costs

-m, --message-id
    enable output of message ids

--count
    enable output of message count

--dlr
    enable delivery reports

--response
    enable receiving of reply SMS (only for route basic)

--ref REFERENCE
    add an own reference for this message

-l, --concat
    send as linked (longer) SMS

--charset {UTF-8,ISO-8859-1,ISO-8859-15}
    character set of the message (defaults to current locale's charset) converted to UTF-8 if necessary

--senddate SENDDATE
    send time delayed SMS at the given time (UNIX timestamp)

--messagetype {flash,unicode,binary,voice}
    enable sending of flash, unicode, binary or voice messages

--udh UDH
    hexadecimal representation of bytes for a binary message

--version
    show program's version number and exit